<?php

	class suboAdminMenuPages { 
		public $css_path;
		public $js_path;
		public function __construct(){
			$this->css_path = sb("admin_template_directory_uri")."/css/";
			$this->js_path = sb("admin_template_directory_uri")."/js/"; 
		}
		 
		public function main_page(){
			$name = __FUNCTION__;
			
			$render = new suboRenderView();
			
			$render->add_css("main_page_css",$this->css_path."main_page.css");
			$o = get_option( sb("menu_slug").'_optionsdb' ); 
			$render->add_js("main_page_js",$this->js_path."main_page.js");
			$render->add_js("jquery" );
			$render->add_js("media" ); 
			$render->add_js('wp-color-picker' );
			$render->add_css('wp-color-picker' );
			 
			$general_tabid = $render->add_tab(__("General","cwp"));   
			
			//General tab options
			$render->add_image_upload(
						$general_tabid,
						"cwp_logo",
						__("Add a url for the logo image.","cwp") ,
						@$o['cwp_logo']
			);
				
			$render->add_input_text_with_description(
				$general_tabid,
				"cwp_analytics",
				__("Analytics Code","cwp"),
				__("Use this field to add your Analytics code.",'cwp')
			);

				
			$render->add_input_text_with_description(
				$general_tabid,
				"cwp_footertitle",
				__("Footer Section Left Side - Title",'cwp'),
				__("Enter a title for the left side of the footer( e.g About the author).",'cwp')
			);	
			$render->add_input_text_with_description(
				$general_tabid,
				"cwp_footertext",
				__("Footer Section Left Side - Text",'cwp'),
				__("Enter text for the left side of the footer( e.g Auhtor description).",'cwp')
			);
			
			$render->add_image_upload(
						$general_tabid,
						"cwp_footerimg",
						__("Add a url for a image to show in the left side of the footer ( e.g Author picture).","cwp") ,
						@$o['cwp_footerimg']
			);
			$render->add_input_text_with_description(
				$general_tabid,
				"cwp_copyright",
				__("Copyright",'cwp'),
				__("Use this field to add your Copyright.",'cwp')
			);

			//Single page	
			   
			$single_tabid = $render->add_tab(__("Single Post Page","cwp"));   
			
			$render->add_select_with_description(
				$single_tabid,
				"cwp_s_featureimg",
				__("Show or hide featured image on single post page",'cwp'),
				array(
					"Show"=>"Show",
					"Hide"=>"Hide"
					),
				__("Select to show or hide featured image.",'cwp')
			);
			
			$render->add_select_with_description(
				$single_tabid,
				"cwp_tags",
				__("Show or hide tags on single post page",'cwp'),
				array(
					"Show"=>"Show",
					"Hide"=>"Hide"
					),
				__("Select to show or hide tags.",'cwp')
			);
			
			$render->add_select_with_description(
				$single_tabid,
				"cwp_authorinfo",
				__("Show or hide author informations on single post page",'cwp'),
				array(
					"Show"=>"Show",
					"Hide"=>"Hide"
					),
				__("Select to show or hide author informations.",'cwp')
			);
			
			//Blog page
			
			$blog_tabid = $render->add_tab(__("Blog Page","cwp"));   
			
			$render->add_select_with_description(
				$blog_tabid,
				"cwp_b_featureimg",
				__("Show or hide featured image on blog page",'cwp'),
				array(
					"Show"=>"Show",
					"Hide"=>"Hide"
					),
				__("Select to show or hide featured image.",'cwp')
			);
			
			//Social network
			$social_tabid = $render->add_tab(__("Social Network","cwp"));   
			
			$render->add_input_text(
				$social_tabid,
				"cwp_facebook_url",
				__("Facebook link","cwp")
			);
			
			$render->add_input_text(
				$social_tabid,
				"cwp_twitter_link",
				__("Twitter link","cwp")
			);
			
			$render->add_input_text(
				$social_tabid,
				"cwp_rss_link",
				__("RSS link","cwp")
			);
			
			$render->add_input_text(
				$social_tabid,
				"cwp_linkedin_link",
				__("Linkedin link","cwp")
			);
			
			$render->add_input_text(
				$social_tabid,
				"cwp_behance_link",
				__("Behance NETWORK link","cwp")
			);
			
			
			$render->render_view($name);
		}
		
		//adauga aici noile functii pentru submeniu daca pagina este in meniul principal
	
	}